Bug 175586 - failure to detect hard disks
failure to detect hard disks
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-12-12 20:29 EST by Nikos Charonitakis
Modified: 2008-04-24 10:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-24 10:38:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nikos Charonitakis 2005-12-12 20:29:25 EST
Description of problem:
After a successfull completed installation of FC5 test1 and reboot, system fails
to load. I see a black grub screen instead of the default blue one that boots
the system. I manage to boot the system after entering in rescue mode and
editing /boot/grub/device.map in order to reflect my real setup.
I saw that device.map file contained only hd0 (floppy) hd1 (windows) and not
containing hd1 (FC5test1) and hd2 (empty drive)
So i added the missing devices and with grub-install /dev/hda i am now able to
boot my freshly installed FC5 test1.
This case is not easy to be handled by a novice user.
My motherboard is ASUS s48x/sis648.

Version-Release number of selected component (if applicable):

How reproducible: 

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Same behaviour appeared in my FC4 installation on the same system
Comment 1 Rahul Sundaram 2006-02-20 06:35:51 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 2 Jeremy Katz 2006-02-27 16:29:19 EST
Does this still occur with FC5 test3?
Comment 3 Nikos Charonitakis 2006-03-24 15:12:51 EST
i have tested again fc5 final release.
It also fails to detect my drives.
device.map contains only hd0 /dev/hda and nothing else...
Comment 4 Nikos Charonitakis 2006-10-31 10:00:35 EST
I have tested fc6 final release.
It fails again to detect my hard disks (again)
device.map contains only hd0 /dev/hda and nothing else...(again)
My configuration is similar (same asus motherboard 3 ide drives and one floppy)
I can resolve this in a couple of minutes, but a new user will be confused...
Comment 5 petrosyan 2008-03-26 21:42:16 EDT
Fedora Core 6 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 6 Nikos Charonitakis 2008-03-27 04:59:40 EDT
I didnt see this problem again. I have upgraded my hardware though so i cant
test it in the same environment. We can close it for now.
Comment 7 Bug Zapper 2008-04-03 22:05:13 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.